commit:     9d3598597b0dd3ac7d881ff43d26143053f6ffd8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 25 16:06:15 2016 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 16:18:00 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d359859

dev-python/ipaddress: Disable pypy3, it is built-in there

 dev-python/ipaddress/ipaddress-1.0.17-r1.ebuild | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/dev-python/ipaddress/ipaddress-1.0.17-r1.ebuild 
b/dev-python/ipaddress/ipaddress-1.0.17-r1.ebuild
new file mode 100644
index 00000000..906b82b
--- /dev/null
+++ b/dev-python/ipaddress/ipaddress-1.0.17-r1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="IPv4/IPv6 manipulation library, backport of the ipaddress module"
+HOMEPAGE="https://github.com/phihag/ipaddress";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       "${PYTHON}" test_ipaddress.py || die
+}

Reply via email to